<ng-container *ngIf="isBrowser">

<div class="product-comparision">
  <div *ngIf="productCompareList.length" class="container">
    <div class="row mt-2 mb-2">
      <div class="col-md-6 padding0px common-title">
        <h4>{{'labelProductComparison' | translate: lang}}</h4>
      </div>
      <div class="col-md-6 padding0px add-product" *ngIf="productCompareList.length < prodDetails.compareLimit">
        <button mat-raised-button type="button" color="primary" (click)="moveToProducts()">{{'buttonAddProductCompare'
          | translate: lang}}</button>
      </div>
    </div>
    <div class="row product-row">
      <div class="col-md-4 padding0px product-group-left">
        <h6>{{'labelCategoryName' | translate: lang}}</h6>
      </div>
      <div class="col-md-3 padding0px product-group" *ngFor="let compareList of productCompareList">
        <div class="close" (click)="removeProduct(compareList.productCatalogId)"></div>
        <div class="prod-comp-image">
          <img title="product" [src]="compareList.productImage" />
        </div>
        <div class="prod-comp-name">{{compareList.productName}}</div>
        <div class="prod-comp-price">
          {{compareList.taxDiscountPrice !== 0 ? (compareList.taxDiscountPrice | customCurrencyFormat) : (compareList.taxSalesPrice
          | customCurrencyFormat)}}
          <span class="price-view" *ngIf="showDiscount !== 0 && compareList.taxDiscountPrice !== 0">{{compareList.taxSalesPrice
            | customCurrencyFormat}}</span>
        </div>
        <div class="prod-comp-addcart">
          <button *ngIf="compareList.cartUser === 0" [title]="'titleAddToCart' | translate: lang" mat-raised-button
            type="button" color="primary" (click)="addProductToCart(compareList)">{{'buttonAddCart'
            | translate: lang}}</button>
          <button *ngIf="compareList.cartUser !== 0" [title]="'titleGoToCart' | translate: lang" mat-raised-button type="button"
            color="primary" (click)="moveToCart()">{{'buttonGoToCart'
            | translate: lang}}</button>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-md-4 padding0px product-group-left">
        <h6>{{'headingRatingReview' | translate: lang}}</h6>
      </div>
      <div class="col-md-3 padding0px product-group" *ngFor="let compareList of productCompareList">
        <div class="rating-icon">{{compareList.averageRating ? compareList.averageRating : 0}}★</div>
        <div class="comparision-rating">{{compareList.totalRatings}} {{'labelRatings' | translate: lang}} &
          {{compareList.totalReview ? compareList.totalReview : 0}} {{'labelReviews' | translate: lang}}
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-md-4 padding0px product-group-left">
        <h6>{{'labelHighlights' | translate: lang}}</h6>
      </div>
      <div class="col-md-3 padding0px product-group" *ngFor="let compareList of productCompareList">
        <div class="comparision-rating">
          <p [innerHTML]="compareList.productDescription"></p>
        </div>
      </div>
    </div>
  </div>
  <div class="nodata-found-wrap" *ngIf="!productCompareList.length && !isLoading">
      <div class="nodata-found">
        <img src="assets/images/empty_product.png" />
      </div>
      <span class="align-bottom">
          {{'lableNoComparison' | translate: lang}}</span>
    </div> 

</div>
	<div class="product-comparision-m">		
  <div *ngIf="productCompareList.length" class="container">		
    <div class="row mt-2 mb-2">		
      <div class="col-md-6 padding0px common-title">		
        <h4>{{'labelProductComparison' | translate: lang}}</h4>		
      </div>		
      <div class="col-md-6 padding0px add-product" *ngIf="productCompareList.length < prodDetails.compareLimit">		
        <button mat-raised-button type="button" color="primary" (click)="moveToProducts()">{{'buttonAddProductCompare'		
          | translate: lang}}</button>		
      </div>		
    </div>
    <div class="product-row-mobile">		
      <div class="product-row">		
        <div class="col-md-4 padding0px product-group-left">		
          <h6>{{'labelCategoryName' | translate: lang}}</h6>		
        </div>
        <div class="product-group-head">		
          <div class="padding0px product-group" *ngFor="let compareList of productCompareList">		
            <div class="close" (click)="removeProduct(compareList.productCatalogId)"></div>		
            <div class="prod-comp-image">		
              <img title="product" [src]="compareList.productImage" />		
            </div>		
            <div class="prod-comp-name">{{compareList.productName}}</div>		
            <div class="prod-comp-price">		
              {{compareList.taxDiscountPrice !== 0 ? (compareList.taxDiscountPrice | customCurrencyFormat) : (compareList.taxSalesPrice		
              | customCurrencyFormat)}}		
              <span class="price-view" *ngIf="showDiscount !== 0 && compareList.taxDiscountPrice !== 0">{{compareList.taxSalesPrice		
                | customCurrencyFormat}}</span>		
            </div>		
            <div class="prod-comp-addcart">		
              <button *ngIf="compareList.cartUser === 0" [title]="'titleAddToCart' | translate: lang" mat-raised-button		
                type="button" color="primary" (click)="addProductToCart(compareList)">{{'buttonAddCart'		
                | translate: lang}}</button>		
              <button *ngIf="compareList.cartUser !== 0" [title]="'titleGoToCart' | translate: lang" mat-raised-button type="button"		
                color="primary" (click)="moveToCart()">{{'buttonGoToCart'		
                | translate: lang}}</button>		
            </div>		
          </div>
        </div>		
      </div>		
      <div class="">		
        <div class="col-md-4 padding0px product-group-left">		
          <h6>{{'headingRatingReview' | translate: lang}}</h6>		
        </div>
        <div class="product-group-head">		
          <div class="padding0px product-group" *ngFor="let compareList of productCompareList">		
            <div class="rating-icon">{{compareList.averageRating ? compareList.averageRating : 0}}★</div>		
            <div class="comparision-rating">{{compareList.totalRatings}} {{'labelRatings' | translate: lang}} &		
              {{compareList.totalReview ? compareList.totalReview : 0}} {{'labelReviews' | translate: lang}}		
            </div>		
          </div>
        </div>		
      </div>		
      <div class="">		
        <div class="col-md-4 padding0px product-group-left">		
          <h6>{{'labelHighlights' | translate: lang}}</h6>		
        </div>
        <div class="product-group-head">		
          <div class="padding0px product-group" *ngFor="let compareList of productCompareList">		
            <div class="comparision-rating">		
              <p [innerHTML]="compareList.productDescription"></p>		
            </div>		
          </div>
        </div>		
      </div>
    </div>		
  </div>		
  <div class="nodata-found-wrap" *ngIf="!productCompareList.length && !isLoading">		
      <div class="nodata-found">		
        <img src="assets/images/empty_product.png" />		
      </div>		
      <span class="align-bottom">		
          {{'lableNoComparison' | translate: lang}}</span>		
    </div> 		
</div>
</ng-container>


<div class="img-center" *ngIf="!isBrowser">
  <img src="../../../assets/images/loading-spinner.gif" alt="">
</div>